Themes for ccroms..

Discussion in 'cvpcs' started by Tanknspank, Sep 8, 2010.

  1. Tanknspank
    Offline

    Tanknspank Beta Team Premium Member

    Joined:
    Jan 13, 2010
    Messages:
    3,506
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    North Carolina
    I would just like to make a quick note to all those out there running ruby or sapphire right now (and at a later time emerald, obsidian, tanzanite, etc).

    Any theme made for a ccroms rom will work on ALL other ccroms roms, as long as the theme only modifies .jar and .apk files. So, for example, if you see that someone posted a Superman theme for sapphire, it will work for ruby too!

    I am sure a few of you did not know this, and I'm sure a few were unsure, so I thought I'd throw this out there.

    And this is just because the ccroms all run on a consolidated build. Meaning each build is identical to the next, except for the proprietaries of the phone. Since themes don't touch the props, they work on each rom.

    Hope this helps a few people out :)
  2. mwhartman
    Offline

    mwhartman Super Moderator/RS Premium Member

    Joined:
    Jan 15, 2010
    Messages:
    10,739
    Likes Received:
    12
    Trophy Points:
    38
    Location:
    South FL
    Thanks for the heads up, Tank!
  3. Martin030908
    Offline

    Martin030908 DF Super Moderator

    Joined:
    Nov 1, 2009
    Messages:
    8,805
    Likes Received:
    0
    Trophy Points:
    0
    That's good news for ccroms!
  4. Tanknspank
    Offline

    Tanknspank Beta Team Premium Member

    Joined:
    Jan 13, 2010
    Messages:
    3,506
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    North Carolina
    I think the same thing applies for cyanogen, though I'm not sure. It's just no one has ever said anything about it, so I thought I might :)
  5. carlz28
    Offline

    carlz28 Premium Member Theme Developer Premium Member

    Joined:
    Feb 28, 2010
    Messages:
    820
    Likes Received:
    1
    Trophy Points:
    0
    Does this mean a theme I made for 1.0 will work on 1.1.0 and 1.1.1 as well?
    Or have the .apk's changed in some manner that I need to re-port them to the newest versions?
  6. OldNuc
    Offline

    OldNuc New Member

    Joined:
    Mar 27, 2010
    Messages:
    19
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Far Southwestern Iowa
    I do not think so as the framework has changed with each version update.
  7. treym
    Offline

    treym Banned at Members Request

    Joined:
    May 27, 2010
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Texas
    Carl, tank is saying that any 1.1.1 theme for sapphire will work for Ruby 1.1.1 etc...

    A 1.1.0 will still have to be ported to 1.1.1